%global modsuffix authz_unixgroup
%global conffile %{modsuffix}.conf

Name:		mod_authz_unixgroup
Version:	1.1.0
Release:	1%{?dist}
Summary:	An Apache module used for authorization
License:	ASL 2.0
URL:		http://code.google.com/p/mod-auth-external/
Source0:	http://mod-auth-external.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{conffile}

Requires:	httpd

BuildRequires:	gcc
BuildRequires:	httpd-devel

%description
Mod_Authz_Unixgroup is a unix group access control module for Apache 2.1 and
later. It can also be mis-used to quickly open gaping holes in your security.
Read the documentation, and use with extreme caution.

%global modulesdir %{_libdir}/httpd/modules
%global confdir %{_sysconfdir}/httpd/conf

%prep
%autosetup

%build
apxs -c -I . %{name}.c

%install
mkdir -p %{buildroot}%{modulesdir} %{buildroot}%{confdir}.d
apxs -i -S LIBEXECDIR=%{buildroot}%{modulesdir} -n %{name} %{name}.la
install -p -m 644 -t %{buildroot}%{confdir}.d/ %{SOURCE1}

# in case we're on a 64-bit machine, otherwise a no-op
sed -i \
	-e 's@/usr/lib/@%{_libdir}/@' \
	%{buildroot}%{confdir}.d/%{conffile}

%files
%license LICENSE
%doc CHANGES NOTICE README
%config(noreplace) %{confdir}.d/%{conffile}
%{modulesdir}/%{name}.so

%changelog
* Thu Oct 18 2018 Steven Stallion <sstallion@gmail.com> 1.1.0-1
- Initial revision
